This is our old Q&A Site. Please post any new questions and answers at ask.wireshark.org.

Hello,

Then we try to install wireshark version 2.4.2 we getting this error in the installation:

[23F8:2480][2017-10-17T11:06:48]i052: Condition 'VersionNT64 >= v6.0 OR (VersionNT64 = v5.2 AND ServicePackLevel >= 1)' evaluates to true. [23F8:2480][2017-10-17T11:06:48]i199: Detect complete, result: 0x0 [23F8:2568][2017-10-17T11:06:48]e000: Error 0x80070666: Cannot install a product when a newer version is installed. [23F8:2480][2017-10-17T11:06:48]i500: Shutting down, exit code: 0x666 [23F8:2480][2017-10-17T11:06:48]i410: Variable: ServicePackLevel = 1 [23F8:2480][2017-10-17T11:06:48]i410: Variable: SystemFolder = C:\WINDOWS\system32\ [23F8:2480][2017-10-17T11:06:48]i410: Variable: VersionNT = 6.1.0.0 [23F8:2480][2017-10-17T11:06:48]i410: Variable: VersionNT64 = 6.1.0.0 [23F8:2480][2017-10-17T11:06:48]i410: Variable: windows_uCRT_DetectKey = 10.0.10586.788 [23F8:2480][2017-10-17T11:06:48]i410: Variable: windows_uCRT_DetectKeyExists = 1 [23F8:2480][2017-10-17T11:06:48]i410: Variable: WixBundleAction = 5 [23F8:2480][2017-10-17T11:06:48]i410: Variable: WixBundleCompressed = 1 [23F8:2480][2017-10-17T11:06:48]i410: Variable: WixBundleElevated = 1 [23F8:2480][2017-10-17T11:06:48]i410: Variable: WixBundleInstalled = 0 [23F8:2480][2017-10-17T11:06:48]i410: Variable: WixBundleLog = C:\Logs\VCRedist.2015.x64.Install.log [23F8:2480][2017-10-17T11:06:48]i410: Variable: WixBundleManufacturer = Microsoft Corporation [23F8:2480][2017-10-17T11:06:48]i410: Variable: WixBundleName = Microsoft Visual C++ 2015 Redistributable (x64) - 14.0.24215 [23F8:2480][2017-10-17T11:06:48]i410: Variable: WixBundleOriginalSource = \b5592s01.d101p.bdpnet.dk\SCCM_SOFTWARE$\WIRESHARK 2.4.1 X64 ENUS R2\vcredist_x64.exe [23F8:2480][2017-10-17T11:06:48]i410: Variable: WixBundleOriginalSourceFolder = \b5592s01.d101p.bdpnet.dk\SCCM_SOFTWARE$\WIRESHARK 2.4.1 X64 ENUS R2\ [23F8:2480][2017-10-17T11:06:48]i410: Variable: WixBundleProviderKey = {d992c12e-cab2-426f-bde3-fb8c53950b0d} [23F8:2480][2017-10-17T11:06:48]i410: Variable: WixBundleTag = [23F8:2480][2017-10-17T11:06:48]i410: Variable: WixBundleVersion = 14.0.24215.1 [23F8:2480][2017-10-17T11:06:48]i007: Exit code: 0x666, restarting: No

hope someone can help us. to solved the problem

asked 17 Oct '17, 03:33

stoffer20's gravatar image

stoffer20
6112
accept rate: 0%

edited 17 Oct '17, 04:29

grahamb's gravatar image

grahamb ♦
19.8k330206


You're using the msi installer which IMHO is still somewhat "experimental". The installer seems to be complaining about a previous version that is newer.

Have you tried uninstalling any existing versions first? IF that doesn't fix it then I think you'll have to raise an entry on the Wireshark Bugzilla if there isn't one already.

You could also try the regular .exe installer.

permanent link

answered 17 Oct '17, 04:32

grahamb's gravatar image

grahamb ♦
19.8k330206
accept rate: 22%

i dont think its a bug. I think its because our users have other program's install that also use visuel c++ runtime. but the other program's my users use running on a newer version of visuel c++ runtime.

So what i try to understand is why wireshark not can't work with newer version of visuel c++ runtime. and is there anyway so force wireshark to work with newer version of visuel c++ runtime

(17 Oct '17, 22:30) stoffer20

I think the fact that it doesn't work is ample evidence of a bug.

The Wireshark installers use the MS provided redistributable files for installing the VC runtimes, so either:

  1. There's a bug in the MS provided files
  2. The installer is using the MS provided files incorrectly.

I don't think there's anything the user can do to fix this, apart from uninstalling whatever it is that's conflicting which isn't positively identified and may be difficult to achieve.

Have you tried using the regular .exe installer?

(18 Oct '17, 03:08) grahamb ♦
Your answer
toggle preview

Follow this question

By Email:

Once you sign in you will be able to subscribe for any updates here

By RSS:

Answers

Answers and Comments

Markdown Basics

  • *italic* or _italic_
  • **bold** or __bold__
  • link:[text](http://url.com/ "title")
  • image?![alt text](/path/img.jpg "title")
  • numbered list: 1. Foo 2. Bar
  • to add a line break simply add two spaces to where you would like the new line to be.
  • basic HTML tags are also supported

Question tags:

×1,620
×254
×1

question asked: 17 Oct '17, 03:33

question was seen: 5,534 times

last updated: 18 Oct '17, 03:08

p​o​w​e​r​e​d by O​S​Q​A